// SubstListView.h: interface for the CSubstListView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SUBSTSLISTVIEW_H__881331C8_CB7E_4AF9_9B3E_BDA88D93E816__INCLUDED_)
#define AFX_SUBSTSLISTVIEW_H__881331C8_CB7E_4AF9_9B3E_BDA88D93E816__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "aplListView.h"

class CSubstListView : public CaplListView  
{
protected:
	CSubstListView();       // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CSubstListView)
	virtual ~CSubstListView();
// Operations
public:
void UpdateTreeItem(CaplTreeItem *item);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CApprovalListView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CApprovalListView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif // !defined(AFX_PROJECTSLISTVIEW_H__881331C8_CB7E_4AF9_9B3E_BDA88D93E816__INCLUDED_)
